<div class="container">
    <div class="row d-flex justify-content-center mx-auto">
        <div class="col-md-6 col-xs-12 div-style">
          <form [formGroup]="newUserForm" (ngSubmit)="onSubmit(newUserForm.value)">
            <div class="d-flex justify-content-center mx-auto main-label" >
                <h2>Add new user</h2>
            </div>
            <div class="form-group">
              <input type="text" formControlName="login" placeholder="Name" 
                class="form-control text-box" id="login" required>
            </div>
            <div class="form-group">
                <input type="text" formControlName="password" placeholder="Surname" 
                  class="form-control text-box" id="password" required>
            </div>
            <div class="form-group">
                <input type="text" formControlName="age" placeholder="Age" 
                  class="form-control text-box" id="age" required>
            </div>
            <div class="form-group">
              <input type="radio" id="male" formControlName="country" value="POLAND">
              <label for="male"> POLAND</label><br>
              <input type="radio" id="female" formControlName="country" value="GERMANY">
              <label for="female"> GERMANY</label><br>
              <input type="radio" id="female" formControlName="country" value="FRANCE">
              <label for="female"> FRANCE</label><br>
              <input type="radio" id="other" formControlName="country" value="OTHER">
              <label for="other"> Other</label>
            </div>
            <div class="form-group">
              <input type="text" formControlName="email" placeholder="Email" 
                class="form-control text-box" id="email"required>
            </div>
            <div class="form-group justify-content-center d-flex">
              <button type="submit" class="btn btn-danger button-submit" id="addButton" >ADD</button>
            </div>
        </form>
    </div>
    </div>
  </div>

<div *ngIf=errorMessage class="alert alert-dismissible alert-warning">
    <h2 class="alert-heading">Warning!</h2>
    <h3 class="mb-0">{{ errorMessage }}</h3>
</div>
